#!/bin/sh
export PATH='/usr/lib/llvm15/bin/:/usr/lib/ccache/bin:/usr/bin'
printf '%s' 'name:                 hashable
version:              1.4.4.0
visibility:           public
id:                   hashable-1.4.4.0-4FjbwRHK8slL7OrZ7pqlVV
key:                  hashable-1.4.4.0-4FjbwRHK8slL7OrZ7pqlVV
license:              BSD-3-Clause
maintainer:           Oleg Grenrus <oleg.grenrus@iki.fi>
author:
    Milan Straka <fox@ucw.cz>
    Johan Tibell <johan.tibell@gmail.com>

stability:            Provisional
homepage:             http://github.com/haskell-unordered-containers/hashable
synopsis:             A class for types that can be converted to a hash value
description:
    This package defines a class, '\''Hashable'\'', for types that
    can be converted to a hash value.  This class
    exists for the benefit of hashing-based data
    structures.  The package provides instances for
    basic types and a way to combine hash values.

    The '\''Hashable'\'' '\''hash'\'' values are not guaranteed to be stable across library versions, operating systems or architectures. For stable hashing use named hashes: SHA256, CRC32 etc.

category:             Data
abi:                  3511851f191a720ec5c567bec33c170e
exposed:              True
exposed-modules:
    Data.Hashable Data.Hashable.Generic Data.Hashable.Lifted

hidden-modules:
    Data.Hashable.Class Data.Hashable.Generic.Instances
    Data.Hashable.Imports Data.Hashable.LowLevel

import-dirs:          /usr/lib/ghc-9.8.2/site-local/hashable-1.4.4.0
library-dirs:         /usr/lib/ghc-9.8.2/site-local/hashable-1.4.4.0
library-dirs-static:  /usr/lib/ghc-9.8.2/site-local/hashable-1.4.4.0
dynamic-library-dirs: /usr/lib/x86_64-linux-ghc-9.8.2
data-dir:             /usr/share/x86_64-linux-ghc-9.8.2/hashable-1.4.4.0
hs-libraries:         HShashable-1.4.4.0-4FjbwRHK8slL7OrZ7pqlVV
depends:
    base-4.19.1.0-inplace bytestring-0.12.1.0-inplace
    containers-0.6.8-inplace deepseq-1.5.0.0-inplace
    filepath-1.4.200.1-inplace ghc-bignum-1.3-inplace
    ghc-prim-0.11.0-inplace os-string-2.0.2-eUJ3femuFr6fgAO6qKMba
    text-2.1.1-inplace

haddock-interfaces:
    /usr/share/doc/x86_64-linux-ghc-9.8.2/hashable-1.4.4.0/html/hashable.haddock

haddock-html:         /usr/share/doc/x86_64-linux-ghc-9.8.2/hashable-1.4.4.0/html
' | '/usr/bin/ghc-pkg-9.8.2' 'update' '-' '--global' '--no-user-package-db' "$@"

